import { SubmitValue } from '@oinone/kunlun-engine';
import { CallChaining, ReturnPromise } from '@oinone/kunlun-shared';
import { FormFieldWidget } from '../../../basic';
import { ValidatorInfo } from '../../../typing';
import { MapItem } from './typing';
export declare class FormMapFieldWidget extends FormFieldWidget<Record<string, string>> {
    protected mountedCallChaining: CallChaining | undefined;
    initialize(props: any): this;
    protected items: MapItem[];
    protected get limit(): number | null | undefined;
    protected addRecord(): void;
    protected removeRecord(index: number): void;
    protected onHandleChange(): void;
    protected generatorValue(): Record<string, string> | null | undefined;
    submit(submitValue: SubmitValue): Promise<Record<string, unknown> | undefined>;
    validator(): Promise<ValidatorInfo>;
    protected mountedProcess(): ReturnPromise<void>;
    protected $$mounted(): void;
    protected $$unmounted(): void;
}
